# I3DShPolygonArray Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShPolygonArray:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | Init (uint32 uCount, uint32 vCount, boolean uClosed, boolean vClosed)=0
virtual MCCOMErr MCCOMAPI | MeshSetVertex (uint32 uIndex, uint32 vIndex, TVector3 *vertex, TVector3 *normal)=0
virtual MCCOMErr MCCOMAPI | MeshGetVertex (uint32 uIndex, uint32 vIndex, TVector3 *vertex, TVector3 *normal)=0
virtual MCCOMErr MCCOMAPI | MeshSetU (uint32 uIndex, real uValue)=0
virtual MCCOMErr MCCOMAPI | MeshSetV (uint32 vIndex, real vValue)=0
virtual MCCOMErr MCCOMAPI | MeshGetU (uint32 uIndex, real *uValue)=0
virtual MCCOMErr MCCOMAPI | MeshGetV (uint32 vIndex, real *vValue)=0
virtual MCCOMErr MCCOMAPI | MeshCalcUV ()=0
virtual MCCOMErr MCCOMAPI | MeshCalcNormals (boolean smooth)=0
virtual MCCOMErr MCCOMAPI | GetSize (uint32 &uCount, uint32 &vCount, boolean &uClosed, boolean &vClosed)=0

## Detailed Description

Deprecated:

I3DShPolygonArray is a regular array of 3D points and normals. Other interfaces supported: I3DShObject, I3DShPrimitive

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::GetSize | ( | uint32 & | uCount,
|  | uint32 & | vCount,
|  | boolean & | uClosed,
|  | boolean & | vClosed |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::Init | ( | uint32 | uCount,
|  | uint32 | vCount,
|  | boolean | uClosed,
|  | boolean | vClosed |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshCalcNormals | ( | boolean | smooth | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshCalcUV | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshGetU | ( | uint32 | uIndex,
|  | real * | uValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshGetV | ( | uint32 | vIndex,
|  | real * | vValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshGetVertex | ( | uint32 | uIndex,
|  | uint32 | vIndex,
|  | TVector3 * | vertex,
|  | TVector3 * | normal |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshSetU | ( | uint32 | uIndex,
|  | real | uValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshSetV | ( | uint32 | vIndex,
|  | real | vValue |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonArray::MeshSetVertex | ( | uint32 | uIndex,
|  | uint32 | vIndex,
|  | TVector3 * | vertex,
|  | TVector3 * | normal |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3dShObject.h